System 2.0.0.0 4.0.0.0 System.Object System.IDisposable

The class is an implementation-specific class that stores serialization data for the . The service adds state to this serialization store. Once the store is closed, it can be saved to a stream. A serialization store can be deserialized at a later time by the same type of serialization service. The class implements the interface so that simply calls the method.

Provides the base class for storing serialization data for the .

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The method closes this store and prevents any objects from being serialized into it. Once closed, the serialization store may be saved.

  Closes the serialization store.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Property
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added. To be added.

  Gets a collection of errors that occurred during serialization or deserialization.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the store is open, the method will automatically close it for you. You can call as many times as you wish to save the store to different streams.

  Saves the store to the given stream.

  The stream to which the store will be serialized.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Releases all resources used by the .